# Authentication

Using an API key is the way to authenticate an application accessing the Alephee API, without referencing an actual user. The app adds the key to each API request, and the API can use the key to identify the application and authorize the request.

{% hint style="warning" %}
`API_KEY` must be sent with all client requests. The `API_KEY` helps the platform to validate the request source.\
\
You need to call each and every one of the available API endpoints with *querystring* parameters, typically including Account ID and `API_KEY`.
{% endhint %}

The Account ID indicated in all requests must be one of the associated with the `API_KEY`. Otherwise, an authentication error will occur.

There is no need to *header-type* tokens of any kind. No *header* token and no *bearer* token.&#x20;

{% hint style="success" %}
Please reach out to your [Alephee support team](mailto:soporte@alephcrm.com) to contact and request your `API_KEY` and account identification.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/introduction/using-the-api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
